Ubuntu

indicator-applet version 0.4.12-0ubuntu1 failed to build in oneiric

Reported by Matthias Klose on 2011-08-19
44
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Indicator Applet
Medium
Ted Gould
indicator-applet (Ubuntu)
High
Ted Gould
Oneiric
High
Ted Gould

Bug Description

indicator-applet version 0.4.12-0ubuntu1 failed to build in oneiric
Link to failed build: https://launchpad.net/ubuntu/+archive/test-rebuild-20110816/+build/2696766

Details about the rebuild:
http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20110816-oneiric.html

Direct link to the build log: https://launchpad.net/ubuntu/+archive/test-rebuild-20110816/+build/2696766/+files/buildlog_ubuntu-oneiric-i386.indicator-applet_0.4.12-0ubuntu1_FAILEDTOBUILD.txt.gz

This log snippet might be of interest, since it triggered the matcher 'Purging chroot-autobuild'.
Excerpt 1764 lines into the build log:

configure: error: Package requirements (gtk+-2.0 >= 2.12
                          x11
                          libpanelapplet-3.0
                          indicator >= 0.3.22) were not met:

No package 'indicator' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables APPLET_CFLAGS
and APPLET_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
make: *** [debian/stamp-autotools] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
******************************************************************************
Build finished at 20110817-0600
FAILED [dpkg-buildpackage died]
Purging chroot-autobuild/build/buildd/indicator-applet-0.4.12

Matthias Klose (doko) on 2011-08-19
Changed in indicator-applet (Ubuntu):
milestone: none → ubuntu-11.10-beta-1
status: New → Confirmed
importance: Undecided → High
Tobias Wolf (towolf) wrote :

See also bug #724369

Martin Pitt (pitti) wrote :

I was told that Ted is working on a GTK 3 port.

Changed in indicator-applet (Ubuntu Oneiric):
assignee: nobody → Ted Gould (ted)
David Barth (dbarth) wrote :

Ted: how long would it take to port. It would be reasonable to offer as a transition helper. But at the same time i would recommend marking the component as EOLed.

Changed in indicator-applet:
assignee: nobody → Ted Gould (ted)
importance: Undecided → Medium
status: New → Confirmed
Martin Pitt (pitti) on 2011-08-31
Changed in indicator-applet (Ubuntu):
milestone: ubuntu-11.10-beta-1 → ubuntu-11.10-beta-2
Martin Pitt (pitti) wrote :

I remove the package now, as it does not build, depends on NBS packages, does not work with current indicator stack, and is also fairly unnecessary these days. It's not needed for Unity or GNOME shell. If it does get ported some day, it can easily be reintroduced into Ubuntu.

2011-09-15 05:06:19 INFO Removing candidates:
2011-09-15 05:06:19 INFO indicator-applet 0.4.12-0ubuntu1 in oneiric
2011-09-15 05:06:19 INFO indicator-applet 0.4.12-0ubuntu1 in oneiric amd64
2011-09-15 05:06:19 INFO indicator-applet 0.4.12-0ubuntu1 in oneiric armel
2011-09-15 05:06:19 INFO indicator-applet 0.4.12-0ubuntu1 in oneiric i386
2011-09-15 05:06:19 INFO indicator-applet 0.4.12-0ubuntu1 in oneiric powerpc
2011-09-15 05:06:19 INFO indicator-applet-appmenu 0.4.12-0ubuntu1 in oneiric amd64
2011-09-15 05:06:19 INFO indicator-applet-appmenu 0.4.12-0ubuntu1 in oneiric armel
2011-09-15 05:06:19 INFO indicator-applet-appmenu 0.4.12-0ubuntu1 in oneiric i386
2011-09-15 05:06:19 INFO indicator-applet-appmenu 0.4.12-0ubuntu1 in oneiric powerpc
2011-09-15 05:06:19 INFO indicator-applet-complete 0.4.12-0ubuntu1 in oneiric amd64
2011-09-15 05:06:19 INFO indicator-applet-complete 0.4.12-0ubuntu1 in oneiric armel
2011-09-15 05:06:19 INFO indicator-applet-complete 0.4.12-0ubuntu1 in oneiric i386
2011-09-15 05:06:19 INFO indicator-applet-complete 0.4.12-0ubuntu1 in oneiric powerpc
2011-09-15 05:06:19 INFO indicator-applet-session 0.4.12-0ubuntu1 in oneiric amd64
2011-09-15 05:06:19 INFO indicator-applet-session 0.4.12-0ubuntu1 in oneiric armel
2011-09-15 05:06:19 INFO indicator-applet-session 0.4.12-0ubuntu1 in oneiric i386
2011-09-15 05:06:19 INFO indicator-applet-session 0.4.12-0ubuntu1 in oneiric powerpc
2011-09-15 05:06:19 INFO Removed-by: Martin Pitt
2011-09-15 05:06:19 INFO Comment: FTBFS, not ported to GTK3 indicators, obsolete as Unity provides an indicator applet and GNOME shell does not support indicators, LP#829491
2011-09-15 05:06:19 INFO 17 packages successfully removed.

Changed in indicator-applet (Ubuntu Oneiric):
status: Confirmed → Fix Released
Tobias Wolf (towolf) wrote :

Come on, man. You can’t be serious.

There are many people who are neither ready for Gnome Shell nor Unity yet.
Why can’t I get keep my trusted setup and still get the benefit of the updated apps?

This whole indicator thing took so much development effort to get right, to integrate into gnome-panel. It finally worked properly.

Just throwing it out now is way to early, IMO. I’m really miffed by this. In particular Ted Gould dropping the ball.

Tobias Wolf (towolf) wrote :

This is the first time I’ve been holding back on upgrading to Ubuntu+1 early to do thorough testing. I just don’t want to deal with unfinished crapola. Keybuk wrote about this. Too many half-baked features and premature bitrot.

tags: added: regression-release
Sebastien Bacher (seb128) wrote :

there is a test package to try in https://launchpad.net/~ted/+archive/indicator-applet-gtk3 for those who want to try it

Hy,

Sebastien, I welcome try testing Ted doed test package with Oneiric in
gnome-fallback session, but I have got some questions:
I installed the indicator-applet and indicator-applet-complete packages
from Ted linked PPA, but the indicator related applets doesn't
presenting the Add the panel dialog.
How can possible add new indicator-applet with the list?

I using Oneiric GNOME Fallback session with Orca. Possible access the
new GTK3 indicator applet with a key combination? I think Natty
implemented Indicator applet is possible access if I use SUPER+S key
combination in GNOME Classic session.

Attila

Jahrome (jahrome) wrote :

Same as Attila, no indicator-applet shows in applet list...

Having indicator-applet with classic gnome-panel is a must have for those like me who whant to have a panel with xmonad.

Thank you

Gall (agalakhov) wrote :

I did a partial port myself (works for me) before finding it's already being done. Now going to debug Sebastien's one.

Jahrome (jahrome) wrote :

Good news Gall (actually it's Ted's one), I'm waiting for a working one to switch to oneiric. FYI, this port is also discussed on this bug https://bugs.launchpad.net/indicator-applet/+bug/724369
Regards,

Dmitry Shachnev (mitya57) wrote :

@Gall:

Can you please share your port with us? It will be great to merge it with Ted's one and get a working package.

Ted Gould (ted) on 2012-02-07
Changed in indicator-applet:
status: Confirmed → Fix Released
milestone: none → 0.4.90
Attila Hammer (hammera) wrote :

Hy,

In precise when will be awailable the indicator-applet and
indicator-applet-complete packages?

Attila

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers